org.h2.security.auth

## Class RealmConfig

- java.lang.Object
- - org.h2.security.auth.RealmConfig

All Implemented Interfaces:
  HasConfigProperties

    public class RealmConfig
    extends java.lang.Object
    implements HasConfigProperties

Configuration for authentication realm.

### Constructor Summary

Constructors
Constructor and Description
`RealmConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Gets realm's name.
`java.util.List<PropertyConfig>` `getProperties()`
`java.lang.String` `getValidatorClass()` Gets validator class name.
`void` `setName(java.lang.String name)` Sets realm's name.
`void` `setValidatorClass(java.lang.String validatorClass)` Sets validator class name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RealmConfig

    public RealmConfig()

### Method Detail

#### getName

    public java.lang.String getName()

Gets realm's name.

Returns:
  realm's name.

#### setName

    public void setName(java.lang.String name)

Sets realm's name.

Parameters:
  `name` - realm's name.

#### getValidatorClass

    public java.lang.String getValidatorClass()

Gets validator class name.

Returns:
  validator class name.

#### setValidatorClass

    public void setValidatorClass(java.lang.String validatorClass)

Sets validator class name.

Parameters:
  `validatorClass` - validator class name.

#### getProperties

    public java.util.List<PropertyConfig> getProperties()

Specified by:
  `getProperties` in interface `HasConfigProperties`